apply plugin: 'com.android.library'
**APPLY_PLUGINS**

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    api "com.android.support:support-v4:28.0.0"
    api "com.android.support:appcompat-v7:28.0.0"
    
    api "com.google.code.gson:gson:2.8.6"
    api "com.squareup.okio:okio:1.15.0"
    api "com.squareup.okhttp3:okhttp:3.12.13"
    api "com.squareup.retrofit2:retrofit:2.3.0"
    api "com.squareup.retrofit2:converter-gson:2.2.0"
    api "com.squareup.retrofit2:adapter-rxjava:2.1.0"
    api "io.reactivex:rxandroid:1.2.1"
    api "io.reactivex:rxjava:1.1.9"
    
    //GA依赖
//     implementation 'com.tuyoo.component:growsdk-gasdk:2.4.22_0115-RELEASE'  由于build时候 包获取不到（可能是网络原因）平台已经给了 aar文件 
    implementation 'net.aihelp:android-aihelp-aar:4.6.+'
    
    implementation 'com.google.android.gms:play-services-auth:20.2.0'
    implementation('com.android.billingclient:billing:6.0.1')
    
    implementation 'com.google.android.gms:play-services-basement:18.2.0'
    implementation 'androidx.fragment:fragment:1.3.6'
    implementation "org.jetbrains.kotlin:kotlin-reflect:1.3.41"
    implementation 'org.jetbrains.kotlin:kotlin-stdlib:1.3.41'
    implementation 'org.jetbrains.kotlin:kotlin-stdlib-jdk7:1.3.41'
    implementation 'org.jetbrains.kotlin:kotlin-android-extensions-runtime:1.3.41'
    implementation 'androidx.core:core:1.8.0'
    
    implementation 'com.appsflyer:af-android-sdk:6.14.2'  //tuyou 讓使用6.12.5 版本 ，對接后發現 缺少了一些文件 所以使用6.14.2版本
    implementation 'com.android.installreferrer:installreferrer:2.2'
    implementation 'com.miui.referrer:homereferrer:1.0.0.6'
    
    implementation platform('com.google.firebase:firebase-bom:32.7.4')
    implementation 'com.google.firebase:firebase-analytics'

    implementation('com.facebook.android:facebook-android-sdk:16.2.0')

// Android Resolver Dependencies Start
//    implementation 'com.applovin:applovin-sdk:12.6.0' 
// Android Resolver Dependencies End
**DEPS**}

// Android Resolver Exclusions Start
android {
  packagingOptions {
      exclude ('/lib/armeabi/*' + '*')
      exclude ('/lib/mips/*' + '*')
      exclude ('/lib/mips64/*' + '*')
      exclude ('/lib/x86/*' + '*')
      exclude ('/lib/x86_64/*' + '*')
  }
}
// Android Resolver Exclusions End
android {
    ndkPath "**NDKPATH**"

    compileSdkVersion **APIVERSION**
    buildToolsVersion '**BUILDTOOLS**'

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }

    defaultConfig {
        minSdkVersion **MINSDKVERSION**
        targetSdkVersion **TARGETSDKVERSION**
        ndk {
            abiFilters **ABIFILTERS**
        }
        versionCode **VERSIONCODE**
        versionName '**VERSIONNAME**'
        consumerProguardFiles 'proguard-unity.txt'**USER_PROGUARD**
    }

    lintOptions {
        abortOnError false
    }

    aaptOptions {
        noCompress = **BUILTIN_NOCOMPRESS** + unityStreamingAssets.tokenize(', ')
        ignoreAssetsPattern = "!.svn:!.git:!.ds_store:!*.scc:!CVS:!thumbs.db:!picasa.ini:!*~"
    }**PACKAGING_OPTIONS**
}
**IL_CPP_BUILD_SETUP**
**SOURCE_BUILD_SETUP**
**EXTERNAL_SOURCES**
